<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.appprocess.AppProcessActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="300dp"
        android:background="#4EA082">

        <LinearLayout
            android:id="@+id/ll"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="15dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@mipmap/b_fanhui"
                    tools:ignore="ContentDescription,MissingPrefix" />

            </FrameLayout>


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="App Process"
                android:textColor="@color/white"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="22dp"
            android:layout_marginTop="20dp"
            android:text="Used Already"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/ll"
            tools:ignore="HardcodedText" />

        <TextView
            android:id="@+id/tv_percent"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:textColor="@color/white"
            android:textSize="50sp"
            app:layout_constraintStart_toStartOf="@id/tv_tip"
            app:layout_constraintTop_toBottomOf="@id/tv_tip"
            tools:text="55.6" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="5.5dp"
            android:text="%"
            android:textColor="@color/white"
            android:textSize="45sp"
            app:layout_constraintBottom_toBottomOf="@id/tv_percent"
            app:layout_constraintStart_toEndOf="@id/tv_percent"
            app:layout_constraintTop_toTopOf="@id/tv_percent"
            tools:ignore="HardcodedText" />

        <ProgressBar
            android:id="@+id/progress_bar"
            style="@style/Widget.AppCompat.ProgressBar.Horizontal"
            android:layout_width="0dp"
            android:layout_height="15dp"
            android:layout_marginHorizontal="22dp"
            android:max="100"
            android:progressDrawable="@drawable/progress_bar_appprocess"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_percent"
            app:layout_constraintVertical_bias="0.3"
            tools:progress="50" />

        <TextView
            android:id="@+id/tv_ram_rate"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            android:gravity="center_vertical|end"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintBottom_toTopOf="@id/progress_bar"
            app:layout_constraintEnd_toEndOf="@id/progress_bar"
            tools:text="10 GB / 20 GB" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="-20dp"
        android:background="@drawable/bg_ffffff_tlf25"
        android:orientation="vertical">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="25dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|start"
                android:layout_marginStart="18dp"
                android:text="Backend Application"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_rate"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical|end"
                android:layout_marginEnd="18dp"
                android:text="32/32"
                android:textSize="16sp"
                tools:ignore="HardcodedText" />

        </FrameLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginTop="20dp"
            android:background="#E5E6EB" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                tools:listitem="@layout/item_app_process" />

            <ProgressBar
                android:id="@+id/progress_bar_loading"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center" />

        </FrameLayout>

        <TextView
            android:id="@+id/tv_btn"
            android:layout_width="338dp"
            android:layout_height="50dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="25dp"
            android:background="@drawable/bg_0571ed_25"
            android:gravity="center"
            android:text="Complete"
            android:textColor="@color/white"
            android:textSize="18sp"
            tools:ignore="HardcodedText" />
    </LinearLayout>

</LinearLayout>